stages:
  - Build Image and Push to Docker Registry

services:
- docker:dind

build:
  image: docker:stable
  stage: Build Image and Push to Docker Registry
  only:
    - tags
  script:
    - cp docker/Dockerfile.production Dockerfile
    - docker build -t h2020catalyst/marketplace-market-billing-manager-electricity:latest .
    - docker image tag h2020catalyst/marketplace-market-billing-manager-electricity:latest h2020catalyst/marketplace-market-billing-manager-electricity:$CI_COMMIT_TAG
    - echo "$REGISTRY_PWD" | docker login -u "$REGISTRY_USER" --password-stdin
    - docker push h2020catalyst/marketplace-market-billing-manager-electricity:latest
    - docker push h2020catalyst/marketplace-market-billing-manager-electricity:$CI_COMMIT_TAG
